<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function Test(a,b,c){
            var a = 1
            
            function f(){
                a++
                console.log(a);
            }
            this.g = f
        }
        var test1 = new Test();
        test1.g();
        test1.g();
    </script>
</body>
</html>